#ifndef _TAP_
#define _TAP_ 1

//  Special constants for TAP header records--all are 32 bits, little-endian.

#define TAP_FILEMARK 0x0L		// 0 = filemark
#define TAP_EOM	 0xffffffffL		// -1 = end of medium
#define TAP_ERASE_GAP 0xfffffffeL	// -2 = erase gap
#define TAP_ERROR_FLAG 0x80000000L	// error flag bit
#define TAP_LENGTH_MASK 0x00ffffffL	// mask for length

//  Sydex adds a record after the EOM marker that contains documentation
//  for the tape.  Free-form, ASCII.  Eventually, MIME-encoded images might
//  be added.

#endif
